commit:     a896874b0e694481bc713908220693e8786423bc
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 27 07:50:58 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Sep 27 08:06:58 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a896874b

sci-libs/hdf5: Bump to 1.14.4_p3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sci-libs/hdf5/Manifest              |   1 +
 sci-libs/hdf5/hdf5-1.14.4_p3.ebuild | 119 ++++++++++++++++++++++++++++++++++++
 2 files changed, 120 insertions(+)

diff --git a/sci-libs/hdf5/Manifest b/sci-libs/hdf5/Manifest
index f07fe2e1a3ad..3d6f39d19a55 100644
--- a/sci-libs/hdf5/Manifest
+++ b/sci-libs/hdf5/Manifest
@@ -4,3 +4,4 @@ DIST hdf5-1.14.1.tar.bz2 16257319 BLAKE2B 
fbabbe2a61fca3f841d0206e3918390001ec1e
 DIST hdf5-1.14.2.tar.bz2 16070491 BLAKE2B 
04acdc5352f7f0455bf6304ef07ddf51b99125bb585984bd3e27a521a784a6ad6723d64aa3b4179e4bd382334b7e68d06650404d7d4617a696d3f64917487dbc
 SHA512 
1e1bfdff50c2e0e172d399c2d5b79b9ad0c7c72b9b30c4849aad7c5656393e8cf2af788cdf62b51fbe596023483fbc7fa23fdebf37bfe3109dae7f0783ea590f
 DIST hdf5-1.14.3.tar.bz2 16320137 BLAKE2B 
4c58edc04788db739c5c74d6edbfb9277011e2d6776862404fc29b30bb2c06a4314eb317393c230ebd2617a9a362ff78183d39ae80ce08f8963bdf6c02e8a865
 SHA512 
06d51638a56f387f6d0ef484b72e182509c15ab639315052be9821adeed6ad08551c50d7fe84d2b550b64211f68484cf3022a4660c8004cd0afd90eaa83c1bb1
 DIST hdf5-1.14.4-2.tar.gz 37033062 BLAKE2B 
cd75e0fec1ccea8622bb93839c4898e07093b298612cd3ba5aaa48178eba33f49e6a6492df779f0cc36ee263a107a3fa3e592caec35576d0e637b9e457da3965
 SHA512 
f1714b7999468d580b7cae2e575d3d7f31cea2fb81bfa4e37abd248d7223476b2351d1714197ace04eee970b451cf1f6971f5a291fd7426398737b8d7eb26924
+DIST hdf5-1.14.4-3.tar.gz 37007795 BLAKE2B 
f71ba86da65337c3ff30c733760adea56a0ace05b4ac1c0060febb85f45a586ec47cc99828f1199e4e02fd5e2f4329ace450c62a3290f6341d21ec9e30cc59fd
 SHA512 
667a40703b4e330db32d3ede48247781019414426d2949aabf2036089155bc7f2167fbc8b8c78b76286d8369d1f3c9bdd66049d3e4eda2c234ef751df9cc597a

diff --git a/sci-libs/hdf5/hdf5-1.14.4_p3.ebuild 
b/sci-libs/hdf5/hdf5-1.14.4_p3.ebuild
new file mode 100644
index 000000000000..a66e749ecc76
--- /dev/null
+++ b/sci-libs/hdf5/hdf5-1.14.4_p3.ebuild
@@ -0,0 +1,119 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+FORTRAN_NEEDED=fortran
+
+# We've reverted *back* to autotools from CMake because of
+# https://github.com/HDFGroup/hdf5/issues/1814.
+inherit autotools fortran-2 flag-o-matic toolchain-funcs prefix
+
+MY_PV=${PV/_p/-}
+MY_P=${PN}-${MY_PV}
+MAJOR_P=${PN}-$(ver_cut 1-2)
+
+DESCRIPTION="General purpose library and file format for storing scientific 
data"
+HOMEPAGE="https://github.com/HDFGroup/hdf5/";
+SRC_URI="https://github.com/HDFGroup/hdf5/releases/download/${PN}_${MY_PV/-/.}/${MY_P}.tar.gz";
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="NCSA-HDF"
+# Upstream make SONAME changes all the time even within stable releases.
+SLOT="0/${PV%%_p*}"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+IUSE="cxx debug examples fortran +hl mpi szip test threads unsupported zlib"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+       !unsupported? (
+               cxx? ( !mpi ) mpi? ( !cxx )
+               threads? ( !cxx !mpi !fortran !hl )
+       )
+"
+
+RDEPEND="
+       mpi? ( virtual/mpi[romio] )
+       szip? ( virtual/szip )
+       zlib? ( sys-libs/zlib:= )
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+       
"${FILESDIR}"/hdf5-1.14.4-0001-Make-sure-that-during-runtime-we-ll-use-the-same-lib.patch
+       "${FILESDIR}"/hdf5-1.14.4-0002-Disable-forced-stripping.patch
+       "${FILESDIR}"/hdf5-1.14.4-0003-Drop-broken-Werror-stripping.patch
+)
+
+pkg_setup() {
+       # Workaround for bug 285148
+       tc-export CXX CC AR
+
+       use fortran && fortran-2_pkg_setup
+
+       if use mpi; then
+               if has_version 'sci-libs/hdf5[-mpi]'; then
+                       ewarn "Installing hdf5 with mpi enabled with a previous 
hdf5 with mpi disabled may fail."
+                       ewarn "Try to uninstall the current hdf5 prior to 
enabling mpi support."
+               fi
+
+               export CC=mpicc
+               use fortran && export FC=mpif90
+       elif has_version 'sci-libs/hdf5[mpi]'; then
+               ewarn "Installing hdf5 with mpi disabled while having hdf5 
installed with mpi enabled may fail."
+               ewarn "Try to uninstall the current hdf5 prior to disabling mpi 
support."
+       fi
+}
+
+src_prepare() {
+       default
+
+       sed \
+               -e '/docdir/d' \
+               -i config/commence.am || die
+
+       if ! use examples; then
+               # bug #409091
+               sed -e '/^install:/ s/install-examples//' \
+                       -i Makefile.am || die
+       fi
+
+       # Enable shared libs by default for h5cc config utility
+       sed -i -e "s/SHLIB:-no/SHLIB:-yes/g" bin/h5cc.in || die
+       hprefixify m4/libtool.m4
+
+       eautoreconf
+}
+
+src_configure() {
+       # bug #686620
+       use sparc && tc-is-gcc && append-flags -fno-tree-ccp
+
+       local myeconfargs=(
+               --disable-static
+               --disable-doxygen-errors
+               --enable-deprecated-symbols
+               --enable-build-mode=$(usex debug debug production)
+               
--with-default-plugindir="${EPREFIX}/usr/$(get_libdir)/${PN}/plugin"
+               --with-examplesdir="\${datarootdir}/doc/${PF}/examples" \
+               $(use_enable cxx)
+               $(use_enable debug codestack)
+               $(use_enable fortran)
+               $(use_enable hl)
+               $(use_enable mpi parallel)
+               $(use_enable test tests)
+               $(use_enable threads threadsafe)
+               $(use_enable unsupported)
+               $(use_with szip szlib)
+               $(use_with threads pthread)
+               $(use_with zlib)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       emake DESTDIR="${D}" EPREFIX="${EPREFIX}" install
+
+       # No static archives
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to